Summary: bash base library
Name: bash-base
Version: 0.6.9
Release: 1
URL: https://git.inf2.tuwien.ac.at/inf2/sw/bash-base
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Requires: bash > 5
Requires: coreutils

%description
A library that provides a set of base functionality like logging and
error handling. To use it just source it at the very beginning of your
bash script like that:

# shellcheck disable=SC1090
source /usr/libexec/bash-base.bash || {
    echo "$0: fatal error: failed to source /usr/libexec/bash-base.bash" >&2
    exit 1
}

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/{libexec,share/doc/%{name}-%{version}}
cp -a libexec/%{name}.bash %{buildroot}/usr/libexec/.
cp -a doc/* %{buildroot}/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/libexec/bash-base.bash
%doc /usr/share/doc/%{name}-%{version}




